%define upstream_name Dist-Zilla-Plugin-ContributorsFile
%define upstream_version 0.3.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	This module adds a file listing all contributors
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::File::InMemory)
BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
"Dist::Zilla::Plugin::ContributorsFile" populates a *CONTRIBUTORS* file
with all the contributors of the project as found by
"Dist::Zilla::Plugin::ContributorsFromGit" (which also need to be
present in your "dist.ini").

The generated file will look like this:

# FOO-BAR CONTRIBUTORS #

This is the (likely incomplete) list of people who have helped
make this distribution what it is, either via code contributions, 
patches, bug reports, help with troubleshooting, etc. A huge
thank to all of them.

        * Albert Zoot <zoo@foo.com>
        * Bertrand Maxwell <maxwell@bar.com>

Note that if no contributor is detected beside the actual author of the
module, the file will not be created.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.3.0-7.mga10
+ Revision: 2198456
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.3.0-6.mga9
+ Revision: 1803210
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1494287
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-4.mga7
+ Revision: 1267514
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1026186
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 966062
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 840121
- update to 0.3.0

* Sun Oct 19 2014 umeabot <umeabot> 0.2.4-4.mga5
+ Revision: 789782
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-3.mga5
+ Revision: 743966
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 0.2.4-1.mga5
+ Revision: 670629
- update to 0.2.4

* Tue May 20 2014 sander85 <sander85> 0.2.1-1.mga5
+ Revision: 624522
- update to 0.2.1

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 531127
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 462138
- imported package perl-Dist-Zilla-Plugin-ContributorsFile

